Labels
List label ledger entries
Returns all ledger entries for a specific Label, sorted by creation date (newest first). Supports pagination with limit and offset parameters. Each ledger entry includes its amount, currency, and creation timestamp.
GET
/
labels
/
{id}
/
ledger-entries
cURL
GET https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc/ledger-entries
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var labelUrl =
"https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc";
dwolla
.get(`${labelUrl}/ledger-entries`)
.then((res) => res.body._embedded["ledger-entries"][0].id); // => '32d68709-62dd-43d6-a6df-562f4baec526'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'
ledger_entries = app_token.get('%s/ledger-entries' % label_url)
ledger_entries.body['_embedded']['ledger-entries'][0]['id'] # => '32d68709-62dd-43d6-a6df-562f4baec526'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$labelUrl = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc';
$labelsApi = new DwollaSwagger\LabelsApi($apiClient);
$ledgerEntries = $labelsApi->getLedgerEntriesForLabel($labelUrl);
$ledgerEntries->_embedded->{'ledger-entries'}[0]->id; # => "32d68709-62dd-43d6-a6df-562f4baec526"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'
ledger_entries = app_token.get "#{label_url}/ledger-entries"
ledger_entries._embedded['ledger-entries'][0].id # => "32d68709-62dd-43d6-a6df-562f4baec526"
{
"_links": {},
"_embedded": {
"ledger-entries": [
{
"_links": {},
"id": "32d68709-62dd-43d6-a6df-562f4baec526",
"amount": {
"value": "-5.00",
"currency": "USD"
},
"created": "2019-05-16T01:54:58.062Z"
}
]
},
"total": 100
}{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
A label unique identifier
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc/ledger-entries
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var labelUrl =
"https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc";
dwolla
.get(`${labelUrl}/ledger-entries`)
.then((res) => res.body._embedded["ledger-entries"][0].id); // => '32d68709-62dd-43d6-a6df-562f4baec526'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'
ledger_entries = app_token.get('%s/ledger-entries' % label_url)
ledger_entries.body['_embedded']['ledger-entries'][0]['id'] # => '32d68709-62dd-43d6-a6df-562f4baec526'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$labelUrl = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc';
$labelsApi = new DwollaSwagger\LabelsApi($apiClient);
$ledgerEntries = $labelsApi->getLedgerEntriesForLabel($labelUrl);
$ledgerEntries->_embedded->{'ledger-entries'}[0]->id; # => "32d68709-62dd-43d6-a6df-562f4baec526"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'
ledger_entries = app_token.get "#{label_url}/ledger-entries"
ledger_entries._embedded['ledger-entries'][0].id # => "32d68709-62dd-43d6-a6df-562f4baec526"
{
"_links": {},
"_embedded": {
"ledger-entries": [
{
"_links": {},
"id": "32d68709-62dd-43d6-a6df-562f4baec526",
"amount": {
"value": "-5.00",
"currency": "USD"
},
"created": "2019-05-16T01:54:58.062Z"
}
]
},
"total": 100
}{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}